> ## Documentation Index
> Fetch the complete documentation index at: https://docs.calseta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Workflow Metrics



## OpenAPI

````yaml GET /v1/metrics/workflows
openapi: 3.1.0
info:
  title: Calseta
  description: SOC data platform for security agent consumption
  version: dev
servers: []
security: []
paths:
  /v1/metrics/workflows:
    get:
      tags:
        - metrics
      summary: Get Workflow Metrics
      operationId: get_workflow_metrics_v1_metrics_workflows_get
      parameters:
        - name: from_time
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: From Time
        - name: to_time
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: To Time
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DataResponse_WorkflowMetricsResponse_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    DataResponse_WorkflowMetricsResponse_:
      properties:
        data:
          $ref: '#/components/schemas/WorkflowMetricsResponse'
        meta:
          additionalProperties: true
          type: object
          title: Meta
      type: object
      required:
        - data
      title: DataResponse[WorkflowMetricsResponse]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    WorkflowMetricsResponse:
      properties:
        period_from:
          type: string
          format: date-time
          title: Period From
        period_to:
          type: string
          format: date-time
          title: Period To
        total_configured:
          type: integer
          title: Total Configured
        workflows_by_type:
          additionalProperties:
            type: integer
          type: object
          title: Workflows By Type
        workflow_run_count:
          type: integer
          title: Workflow Run Count
        workflow_success_rate:
          type: number
          title: Workflow Success Rate
        workflow_runs_over_time:
          items:
            additionalProperties: true
            type: object
          type: array
          title: Workflow Runs Over Time
        time_saved_hours:
          type: number
          title: Time Saved Hours
        most_executed_workflows:
          items:
            additionalProperties: true
            type: object
          type: array
          title: Most Executed Workflows
      type: object
      required:
        - period_from
        - period_to
        - total_configured
        - workflows_by_type
        - workflow_run_count
        - workflow_success_rate
        - workflow_runs_over_time
        - time_saved_hours
        - most_executed_workflows
      title: WorkflowMetricsResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````